## mathgl 1.8.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project( MathGL )
set(CMAKE_VERBOSE_MAKEFILE ON)
option(enable-all "Enable all features")
option(enable-langall "Enable all language interfaces")
option(enable-gsl "Enable gsl support")
option(enable-jpeg "Enable jpeg support")
option(enable-gif "Enable gif support")
option(enable-hdf5 "Enable hdf5 support")
option(enable-glut "Enable glut support")
option(enable-fltk "Enable fltk widget")
option(enable-wx "Enable wxWidget widget")
option(enable-qt "Enable Qt4 widget")
option(enable-python "Enable python interface")
option(enable-octave "Enable octave interface")
option(enable-doc "Enable documentation building")
if(enable-all OR enable-gsl)
    set(use_gsl 1)
endif(enable-all OR enable-gsl)
if(enable-all OR enable-jpeg)
    set(use_jpeg 1)
endif(enable-all OR enable-jpeg)
if(enable-all OR enable-gif)
    set(use_gif 1)
endif(enable-all OR enable-gif)
if(enable-all OR enable-hdf5)
    set(use_hdf5 1)
endif(enable-all OR enable-hdf5)
if(enable-all OR enable-glut)
    set(use_glut 1)
endif(enable-all OR enable-glut)
if(enable-all OR enable-fltk)
    set(use_fltk 1)
endif(enable-all OR enable-fltk)
if(enable-all OR enable-wx)
    set(use_wx 0)
endif(enable-all OR enable-wx)
if(enable-all OR enable-qt)
    set(use_qt 1)
endif(enable-all OR enable-qt)
if(enable-all OR enable-doc)
    set(use_doc 1)
endif(enable-all OR enable-doc)
if(enable-langall OR enable-python)
    set(use_python 1)
endif(enable-langall OR enable-python)
if(enable-langall OR enable-octave)
    set(use_octave 1)
endif(enable-langall OR enable-octave)

include_directories( ${MathGL_SOURCE_DIR}/include )

include(FindOpenGL)
if(NOT OPENGL_FOUND)
	message(SEND_ERROR "Couldn't find OpenGL libraries.")
endif(NOT OPENGL_FOUND)

include(FindPNG)
if(NOT PNG_FOUND)
	message(SEND_ERROR "Couldn't find PNG libraries.")
endif(NOT PNG_FOUND)

find_library(GSL_LIB gsl)
find_library(GSL_CBLAS_LIB gslcblas)
find_path(GSL_INCLUDE_DIR gsl/gsl_fft_complex.h)
if(NOT GSL_LIB OR NOT GSL_CBLAS_LIB OR NOT GSL_INCLUDE_DIR)
	if(use_gsl)
		message(SEND_ERROR "${GSL_LIB}")
		message(SEND_ERROR "${GSL_CBLAS_LIB}")
		message(SEND_ERROR "${GSL_INCLUDE_DIR}")
		message(SEND_ERROR "Couldn't find GSL libraries.")
	endif(use_gsl)
endif(NOT GSL_LIB OR NOT GSL_CBLAS_LIB OR NOT GSL_INCLUDE_DIR)

include(FindJPEG)
if(NOT JPEG_FOUND)
	if(use_jpeg)
		message(SEND_ERROR "Couldn't find JPEG libraries.")
	endif(use_jpeg)
endif(NOT JPEG_FOUND)

include(FindGIF)
if(NOT GIF_FOUND)
	if(use_gif)
		message(SEND_ERROR "Couldn't find GIF libraries.")
	endif(use_gif)
endif(NOT GIF_FOUND)

find_library(HDF5_LIB hdf5)
find_path(HDF5_INCLUDE_DIR hdf5.h)
if(NOT HDF5_LIB OR NOT HDF5_INCLUDE_DIR)
	if(use_hdf5)
		message(SEND_ERROR "${HDF5_LIB}")
		message(SEND_ERROR "${HDF5_INCLUDE_DIR}")
		message(SEND_ERROR "Couldn't find HDF5 libraries.")
	endif(use_hdf5)
endif(NOT HDF5_LIB OR NOT HDF5_INCLUDE_DIR)

include(FindGLUT)
if(NOT GLUT_FOUND)
	if(use_glut)
		message(SEND_ERROR "Couldn't find GLUT libraries.")
	endif(use_glut)
endif(NOT GLUT_FOUND)

include(FindFLTK)
if(NOT FLTK_FOUND)
	if(use_fltk)
		message(SEND_ERROR "Couldn't find FLTK libraries.")
	endif(use_fltk)
endif(NOT FLTK_FOUND)

FIND_PACKAGE(wxWidgets COMPONENTS base core gl)
if(NOT wxWidgets_FOUND)
	if(use_wx)
		message(SEND_ERROR "Couldn't find wxWidgets libraries.")
	endif(use_wx)
endif(NOT wxWidgets_FOUND)

FIND_PACKAGE(Qt4)
if(NOT QT4_FOUND)
	if(use_qt)
		message(SEND_ERROR "Couldn't find Qt4 libraries.")
	endif(use_qt)
endif(NOT QT4_FOUND)

include(FindPythonInterp)
if(NOT PYTHONINTERP_FOUND)
	if(use_python)
		message(SEND_ERROR "Couldn't find python interpreter.")
	endif(use_python)
endif(NOT PYTHONINTERP_FOUND)
include(FindPythonLibs)
if(NOT PYTHONLIBS_FOUND)
	if(use_python)
		message(SEND_ERROR "Couldn't find python development libraries.")
	endif(use_python)
endif(NOT PYTHONLIBS_FOUND)

include(FindSWIG)
if(NOT SWIG_FOUND)
	if(use_python)
		message(SEND_ERROR "Couldn't find swig needed for interfaces compiling.")
	endif(use_python)
endif(NOT SWIG_FOUND)

find_path(OCTAVE_INCLUDE_DIR octave/oct.h)
if(NOT OCTAVE_INCLUDE_DIR)
	if(use_octave)
		message(SEND_ERROR "Couldn't find octave/oct.h needed for octave interfaces compiling.")
	endif(use_octave)
endif(NOT OCTAVE_INCLUDE_DIR)

find_program(oct_prog octave)
if(NOT oct_prog)
	if(use_octave)
		message(SEND_ERROR "Couldn't find octave needed for octave interfaces compiling.")
	endif(use_octave)
endif(NOT oct_prog)

find_program(oct_mk mkoctfile)
if(NOT oct_mk)
	if(use_octave)
		message(SEND_ERROR "Couldn't find mkoctfile needed for octave interfaces compiling.")
	endif(use_octave)
endif(NOT oct_mk)
#execute_process(
#	COMMAND ${oct_prog} -q --eval \'strcat\(octave_config_info\("canonical_host_type"\), "-", octave_config_info\("api_version"\)\)'|sed -e 's/ans = //'
#	OUTPUT_VARIABLE OCTAVE_ARCH
#	)
#message(SEND_ERROR "${OCTAVE_ARCH}")

find_program(findmi makeinfo)
if(NOT findmi)
	if(use_doc)
		message(SEND_ERROR "Couldn't find makeinfo needed for documentation building.")
	endif(use_doc)
endif(NOT findmi)
find_program(findth texi2html)
if(NOT findth)
	if(use_doc)
		message(SEND_ERROR "Couldn't find texi2html needed for documentation building.")
	endif(use_doc)
endif(NOT findth)
find_program(findtp texi2pdf)
if(NOT findtp)
	if(use_doc)
		message(SEND_ERROR "Couldn't find texi2pdf needed for documentation building.")
	endif(use_doc)
endif(NOT findtp)

if(UNIX)
        add_definitions(-DNO_COLOR_ARRAY)
endif(UNIX)

if(WIN32)
#        add_definitions(-DWIN32 -D_MSC_VER)
        add_definitions(-DWIN32)
endif(WIN32)

if(NOT WIN32)
set(MGL_DATA_PATH "${CMAKE_INSTALL_PREFIX}/share/mathgl")
set(MGL_DOC_PATH "${CMAKE_INSTALL_PREFIX}/share/doc/mathgl")
set(MGL_FONT_PATH "${MGL_DATA_PATH}/fonts")
install(DIRECTORY fonts/ DESTINATION ${MGL_FONT_PATH}
                        PATTERN ".svn" EXCLUDE
                        PATTERN "*.vfm")
endif(NOT WIN32)

add_subdirectory( mgl )
add_subdirectory( widgets )
add_subdirectory( utils )
add_subdirectory( examples )
add_subdirectory( include )
add_subdirectory( lang )
add_subdirectory( texinfo )

=== examples/CMakeLists.txt ===
if(use_gsl)
#	target_link_libraries(mgl ${GSL_LIB} ${GSL_CBLAS_LIB} )
	add_definitions(-DHAVE_GSL)
	include_directories(${GSL_INCLUDE_DIR})
else(use_gsl)
	add_definitions(-DNO_GSL)
endif(use_gsl)

add_executable(mgl_example full_test.cpp)
target_link_libraries(mgl_example mgl)

if(use_fltk)
	add_executable(mgl_fltk_example fltk_example.cpp)
	target_link_libraries(mgl_fltk_example mgl-fltk)
	add_executable(test main.cpp)
	target_link_libraries(test mgl-fltk)
	install(
		TARGETS mgl_fltk_example
		RUNTIME DESTINATION bin
	)
endif(use_fltk)

if(use_glut)
	add_executable(mgl_glut_example glut_example.cpp)
	target_link_libraries(mgl_glut_example mgl-glut)
	install(
		TARGETS mgl_glut_example
		RUNTIME DESTINATION bin
	)
endif(use_glut)

if(use_wx)
	include(${wxWidgets_USE_FILE})
	add_executable(mgl_wx_example wx_example.cpp)
	target_link_libraries(mgl_wx_example ${wxWidgets_LIBRARIES} mgl-wx)
	install(
		TARGETS mgl_wx_example
		RUNTIME DESTINATION bin
	)
endif(use_wx)

if(use_qt)
	include(${QT_USE_FILE})
	qt_wrap_cpp(mgl_qt_example MGL_MOC_EX_FILES ../include/mgl/mgl_qt.h)
	add_executable(mgl_qt_example qt_example.cpp ${MGL_MOC_EX_FILES})
	target_link_libraries(mgl_qt_example ${QT_LIBRARIES} mgl-qt)
	install(
		TARGETS mgl_qt_example
		RUNTIME DESTINATION bin
	)
endif(use_qt)

=== include/CMakeLists.txt ===
set(MGL_INCLUDE_PATH "${CMAKE_INSTALL_PREFIX}/include/mgl")
install(DIRECTORY mgl/ DESTINATION ${MGL_INCLUDE_PATH}
                        PATTERN ".svn" EXCLUDE
                        PATTERN "mgl_fltk.h" EXCLUDE
                        PATTERN "mgl_glut.h" EXCLUDE
                        PATTERN "mgl_wx.h" EXCLUDE
                        PATTERN "mgl_qt.h" EXCLUDE
                        PATTERN "*.fs"
                        PATTERN "*.pas"
                        PATTERN "*.h")

if(use_fltk)
	install(FILES mgl/mgl_fltk.h DESTINATION ${MGL_INCLUDE_PATH})
endif(use_fltk)
if(use_glut)
	install(FILES mgl/mgl_glut.h DESTINATION ${MGL_INCLUDE_PATH})
endif(use_glut)
if(use_wx)
	install(FILES mgl/mgl_wx.h DESTINATION ${MGL_INCLUDE_PATH})
endif(use_wx)
if(use_qt)
	install(FILES mgl/mgl_qt.h DESTINATION ${MGL_INCLUDE_PATH})
endif(use_qt)

=== lang/CMakeLists.txt ===
if(use_python)
	add_custom_command(OUTPUT mgl_python.cpp mathgl.py
		COMMAND ${SWIG_EXECUTABLE} -python -c++ -I${CMAKE_SOURCE_DIR}/include -o mgl_python.cpp ${CMAKE_SOURCE_DIR}/lang/mgl.i
		MAIN_DEPENDENCY mgl.i
		DEPENDS mgl_graph.i
		IMPLICIT_DEPENDS CXX ../include/mgl/mgl_c.h ../include/mgl/mgl_data.h
#		WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/lang
	)
	add_custom_target(_mathgl.so ALL
		COMMAND CMAKE_SOURCE_DIR=${CMAKE_SOURCE_DIR} ${PYTHON_EXECUTABLE} ${CMAKE_SOURCE_DIR}/setup.py build
		DEPENDS ${CMAKE_BINARY_DIR}/lang/mathgl.py ${CMAKE_BINARY_DIR}/lang/mgl_python.cpp
		WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
	)
	install(CODE "execute_process(COMMAND ${PYTHON_EXECUTABLE} ${CMAKE_SOURCE_DIR}/setup.py install --prefix=${CMAKE_INSTALL_PREFIX}) WORKING_DIRECTORY ${CMAKE_BINARY_DIR} ")
endif(use_python)

=== lang/DESCRIPTION ===
Name: mathgl
Version: 1.8.1
Date: 2009-03-02
Author: Alexey Balakin
Maintainer: Dmitry Kulagin
Title: MathGL
Description: Data plotting library
Depends: octave (>= 2.9.12)
Autoload: yes
SystemRequirements: ...
License: GPL
Keywords: ...
Url: http://octave.sf.net http://mathgl.sf.net

=== mgl/CMakeLists.txt ===
set(mgl_src 
mgl_1d.cpp     mgl_combi.cpp     mgl_def_font.cpp  mgl_fit.cpp   mgl_parse.cpp
mgl_2d.cpp     mgl_cont.cpp      mgl_eps.cpp       mgl_flow.cpp  mgl_pde.cpp
mgl_3d.cpp     mgl_crust.cpp     mgl_evalc.cpp     mgl_font.cpp  mgl_tex_table.cpp
mgl_ab.cpp     mgl_data_cf.cpp   mgl_eval.cpp      mgl_gl.cpp    mgl_vect.cpp
mgl_addon.cpp  mgl_data.cpp      mgl_exec.cpp      mgl_idtf.cpp  mgl_zb2.cpp
mgl_axis.cpp   mgl_data_io.cpp   mgl_export.cpp                  mgl_zb.cpp
mgl_c.cpp      mgl_data_png.cpp  mgl_f.cpp         mgl_main.cpp
)

add_library(mgl SHARED ${mgl_src})

if(use_qt)
	add_definitions(-DHAVE_QT)
endif(use_qt)
if(use_wx)
	add_definitions(-DHAVE_WX)
endif(use_wx)
if(use_fltk)
	add_definitions(-DHAVE_FLTK)
endif(use_fltk)
if(use_glut)
	add_definitions(-DHAVE_GLUT)
endif(use_glut)

if(use_jpeg)
	target_link_libraries(mgl ${JPEG_LIBRARIES})
	add_definitions(-DHAVE_JPEG)
	include_directories(${JPEG_INCLUDE_DIR})
endif(use_jpeg)

if(use_gif)
	target_link_libraries(mgl ${GIF_LIBRARIES})
	add_definitions(-DHAVE_GIF)
	include_directories(${GIF_INCLUDE_DIR})
endif(use_gif)

if(use_hdf5)
	target_link_libraries(mgl ${HDF5_LIB})
	add_definitions(-DHAVE_HDF5 -DH5_USE_16_API)
	include_directories(${HDF5_INCLUDE_DIR})
endif(use_hdf5)

if(use_gsl)
	target_link_libraries(mgl ${GSL_LIB} ${GSL_CBLAS_LIB} )
	add_definitions(-DHAVE_GSL)
	include_directories(${GSL_INCLUDE_DIR})
else(use_gsl)
	add_definitions(-DNO_GSL)
endif(use_gsl)

target_link_libraries(mgl ${OPENGL_LIBRARIES} ${PNG_LIBRARIES} m)
include_directories(${OPENGL_INCLUDE_DIR} ${PNG_INCLUDE_DIR})
file(TO_NATIVE_PATH $(MGL_FONT_PATH) MGL_FONT_PATH_SYS)
add_definitions(-DMGL_FONT_PATH="${MGL_FONT_PATH_SYS}")

if(UNIX)
	add_definitions(-DNO_COLOR_ARRAY)
endif(UNIX)

set_target_properties(mgl PROPERTIES SOVERSION 5.0.0)
install(
	TARGETS mgl
	RUNTIME DESTINATION bin
	LIBRARY DESTINATION lib
)

=== texinfo/CMakeLists.txt ===
if(use_doc)
	add_custom_command(OUTPUT ${CMAKE_SOURCE_DIR}/texinfo/png/all.png
		COMMAND LD_LIBRARY_PATH=${CMAKE_BINARY_DIR}/mgl ${CMAKE_BINARY_DIR}/examples/mgl_example
		COMMAND touch all.png
		MAIN_DEPENDENCY ${CMAKE_BINARY_DIR}/examples/mgl_example
		WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/texinfo/png
	)
	file(GLOB_RECURSE doc_file_list *.texi *.png)
	add_custom_command(OUTPUT mathgl.info
		COMMAND ${findmi} --no-validate mathgl.texi
		MAIN_DEPENDENCY mathgl.texi
		DEPENDS ${doc_file_file_list} ${CMAKE_SOURCE_DIR}/texinfo/png/all.png
		WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/texinfo
	)
	add_custom_command(OUTPUT mathgl.pdf
		COMMAND ${findtp} mathgl.texi
		COMMAND ${findtp} mathgl.texi
		COMMAND ${findtp} mathgl.texi
		MAIN_DEPENDENCY mathgl.texi
		DEPENDS ${doc_file_file_list} ${CMAKE_SOURCE_DIR}/texinfo/png/all.png
		WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/texinfo
	)
	add_custom_command(OUTPUT mathgl
		COMMAND ${findth} --split=chapter mathgl.texi
		MAIN_DEPENDENCY mathgl.texi
		DEPENDS ${doc_file_file_list} ${CMAKE_SOURCE_DIR}/texinfo/png/all.png
		WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/texinfo
	)
	add_custom_target(documentation ALL
		DEPENDS mathgl.pdf mathgl.info mathgl
	)
	add_custom_target(clean
		COMMAND rm -f mathgl.[^t]* mathgl.t[^e]* mathgl.te[^x]* mathgl.tex[^i] ${CMAKE_SOURCE_DIR}/texinfo/png/*.png mathgl.info*
	)
	install(DIRECTORY ./ DESTINATION ${MGL_DOC_PATH}
			FILES_MATCHING PATTERN ".svn" EXCLUDE
			PATTERN "CMakeFiles" EXCLUDE
			PATTERN "*.png"
			PATTERN "*.html"
			PATTERN "./mathgl.info*"
			PATTERN "./mathgl.pdf")
endif(use_doc)

=== widgets/CMakeLists.txt ===
if(use_gsl)
#	target_link_libraries(mgl ${GSL_LIB} ${GSL_CBLAS_LIB} )
	add_definitions(-DHAVE_GSL)
	include_directories(${GSL_INCLUDE_DIR})
else(use_gsl)
	add_definitions(-DNO_GSL)
endif(use_gsl)

if(use_fltk)
	add_definitions(-DHAVE_FLTK)
	include_directories(${FLTK_INCLUDE_DIR})
	add_library(mgl-fltk SHARED mgl_fltk.cpp)
	target_link_libraries(mgl-fltk ${FLTK_LIBRARIES} mgl)
	set_target_properties(mgl-fltk PROPERTIES SOVERSION 5.0.0)
	install(
		TARGETS mgl-fltk
		RUNTIME DESTINATION bin
		LIBRARY DESTINATION lib
	)
endif(use_fltk)

if(use_glut)
	add_definitions(-DHAVE_GLUT)
	include_directories(${GLUT_INCLUDE_DIR})
	add_library(mgl-glut SHARED mgl_glut.cpp)
	target_link_libraries(mgl-glut ${GLUT_LIBRARIES} ${OPENGL_LIBRARIES} mgl)
	set_target_properties(mgl-glut PROPERTIES SOVERSION 5.0.0)
	install(
		TARGETS mgl-glut
		RUNTIME DESTINATION bin
		LIBRARY DESTINATION lib
	)
endif(use_glut)

if(use_wx)
	include(${wxWidgets_USE_FILE})
	add_definitions(-DHAVE_WX)
	add_library(mgl-wx SHARED mgl_wx.cpp)
	target_link_libraries(mgl-wx ${wxWidgets_LIBRARIES} mgl)
	set_target_properties(mgl-wx PROPERTIES SOVERSION 5.0.0)
	install(
		TARGETS mgl-wx
		RUNTIME DESTINATION bin
		LIBRARY DESTINATION lib
	)
endif(use_wx)

if(use_qt)
	include(${QT_USE_FILE})
	add_definitions(-DHAVE_QT)
	qt_wrap_cpp(mgl-qt MGL_MOC_FILES ../include/mgl/mgl_qt.h)
	add_library(mgl-qt SHARED mgl_qt.cpp ${MGL_MOC_FILES})
	target_link_libraries(mgl-qt ${QT_LIBRARIES} mgl)
	set_target_properties(mgl-qt PROPERTIES SOVERSION 5.0.0)
	install(
		TARGETS mgl-qt
		RUNTIME DESTINATION bin
		LIBRARY DESTINATION lib
	)
endif(use_qt)

## mathgl 1.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 project( MathGL )
 set(CMAKE_VERBOSE_MAKEFILE ON)
+option(enable-double "Enable double precision in MathGL library")
 option(enable-all "Enable all features")
 option(enable-langall "Enable all language interfaces")
 option(enable-gsl "Enable gsl support")
@@ -15,6 +16,9 @@
 option(enable-python "Enable python interface")
 option(enable-octave "Enable octave interface")
 option(enable-doc "Enable documentation building")
+if(enable-double)
+    set(use_double 1)
+endif(enable-double)
 if(enable-all OR enable-gsl)
     set(use_gsl 1)
 endif(enable-all OR enable-gsl)

=== examples/CMakeLists.txt ===
--- 
+++ 
@@ -8,6 +8,10 @@
 
 add_executable(mgl_example full_test.cpp)
 target_link_libraries(mgl_example mgl)
+install(
+	TARGETS mgl_example
+	RUNTIME DESTINATION bin
+)
 
 if(use_fltk)
 	add_executable(mgl_fltk_example fltk_example.cpp)

=== lang/CMakeLists.txt ===
--- 
+++ 
@@ -11,5 +11,5 @@
 		DEPENDS ${CMAKE_BINARY_DIR}/lang/mathgl.py ${CMAKE_BINARY_DIR}/lang/mgl_python.cpp
 		WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
 	)
-	install(CODE "execute_process(COMMAND ${PYTHON_EXECUTABLE} ${CMAKE_SOURCE_DIR}/setup.py install --prefix=${CMAKE_INSTALL_PREFIX}) WORKING_DIRECTORY ${CMAKE_BINARY_DIR} ")
+	install(CODE "execute_process(COMMAND ${PYTHON_EXECUTABLE} ${CMAKE_SOURCE_DIR}/setup.py install --prefix=${CMAKE_INSTALL_PREFIX} WORKING_DIRECTORY ${CMAKE_BINARY_DIR} )")
 endif(use_python)

=== mgl/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 mgl_3d.cpp     mgl_crust.cpp     mgl_evalc.cpp     mgl_font.cpp  mgl_tex_table.cpp
 mgl_ab.cpp     mgl_data_cf.cpp   mgl_eval.cpp      mgl_gl.cpp    mgl_vect.cpp
 mgl_addon.cpp  mgl_data.cpp      mgl_exec.cpp      mgl_idtf.cpp  mgl_zb2.cpp
-mgl_axis.cpp   mgl_data_io.cpp   mgl_export.cpp                  mgl_zb.cpp
+mgl_axis.cpp   mgl_data_io.cpp   mgl_export.cpp    mgl_zb.cpp    mgl_evalp.cpp
 mgl_c.cpp      mgl_data_png.cpp  mgl_f.cpp         mgl_main.cpp
 )

## mathgl 1.10.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,10 +5,12 @@
 option(enable-double "Enable double precision in MathGL library")
 option(enable-all "Enable all features")
 option(enable-langall "Enable all language interfaces")
+option(enable-pthread "Enable POSIX threads support")
 option(enable-gsl "Enable gsl support")
 option(enable-jpeg "Enable jpeg support")
 option(enable-gif "Enable gif support")
 option(enable-hdf5 "Enable hdf5 support")
+option(enable-hdf5_18 "Enable hdf5 1.8 support")
 option(enable-glut "Enable glut support")
 option(enable-fltk "Enable fltk widget")
 option(enable-wx "Enable wxWidget widget")
@@ -22,6 +24,9 @@
 if(enable-all OR enable-gsl)
     set(use_gsl 1)
 endif(enable-all OR enable-gsl)
+if(enable-all OR enable-pthread)
+    set(use_pthread 1)
+endif(enable-all OR enable-pthread)
 if(enable-all OR enable-jpeg)
     set(use_jpeg 1)
 endif(enable-all OR enable-jpeg)
@@ -31,6 +36,9 @@
 if(enable-all OR enable-hdf5)
     set(use_hdf5 1)
 endif(enable-all OR enable-hdf5)
+if(enable-hdf5_18)
+    set(use_hdf5_18 1)
+endif(enable-hdf5_18)
 if(enable-all OR enable-glut)
     set(use_glut 1)
 endif(enable-all OR enable-glut)
@@ -77,6 +85,13 @@
 	endif(use_gsl)
 endif(NOT GSL_LIB OR NOT GSL_CBLAS_LIB OR NOT GSL_INCLUDE_DIR)
 
+include(FindThreads)
+if(NOT CMAKE_USE_PTHREADS_INIT)
+	if(use_pthread)
+		message(SEND_ERROR "Couldn't find POSIX threads libraries.")
+	endif(use_pthread)
+endif(NOT CMAKE_USE_PTHREADS_INIT)
+
 include(FindJPEG)
 if(NOT JPEG_FOUND)
 	if(use_jpeg)
@@ -94,11 +109,11 @@
 find_library(HDF5_LIB hdf5)
 find_path(HDF5_INCLUDE_DIR hdf5.h)
 if(NOT HDF5_LIB OR NOT HDF5_INCLUDE_DIR)
-	if(use_hdf5)
+	if(use_hdf5 OR use_hdf5_18)
 		message(SEND_ERROR "${HDF5_LIB}")
 		message(SEND_ERROR "${HDF5_INCLUDE_DIR}")
 		message(SEND_ERROR "Couldn't find HDF5 libraries.")
-	endif(use_hdf5)
+	endif(use_hdf5 OR use_hdf5_18)
 endif(NOT HDF5_LIB OR NOT HDF5_INCLUDE_DIR)
 
 include(FindGLUT)

=== mgl/CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,10 @@
 )
 
 add_library(mgl SHARED ${mgl_src})
+add_library(mgl-static STATIC ${mgl_src})
+set_target_properties(mgl-static PROPERTIES OUTPUT_NAME "mgl")
+set_target_properties(mgl PROPERTIES CLEAN_DIRECT_OUTPUT 1)
+set_target_properties(mgl-static PROPERTIES CLEAN_DIRECT_OUTPUT 1)
 
 if(use_qt)
 	add_definitions(-DHAVE_QT)
@@ -23,6 +27,11 @@
 	add_definitions(-DHAVE_GLUT)
 endif(use_glut)
 
+if(use_pthread)
+	target_link_libraries(mgl ${CMAKE_THREAD_LIBS_INIT})
+	add_definitions(-DHAVE_PTHREAD)
+endif(use_pthread)
+
 if(use_jpeg)
 	target_link_libraries(mgl ${JPEG_LIBRARIES})
 	add_definitions(-DHAVE_JPEG)
@@ -35,11 +44,14 @@
 	include_directories(${GIF_INCLUDE_DIR})
 endif(use_gif)
 
-if(use_hdf5)
+if(use_hdf5 OR use_hdf5_18)
 	target_link_libraries(mgl ${HDF5_LIB})
-	add_definitions(-DHAVE_HDF5 -DH5_USE_16_API)
+	add_definitions(-DHAVE_HDF5)
+	if(use_hdf5)
+		add_definitions(-DH5_USE_16_API)
+	endif(use_hdf5)
 	include_directories(${HDF5_INCLUDE_DIR})
-endif(use_hdf5)
+endif(use_hdf5 OR use_hdf5_18)
 
 if(use_gsl)
 	target_link_libraries(mgl ${GSL_LIB} ${GSL_CBLAS_LIB} )
@@ -62,5 +74,6 @@
 install(
 	TARGETS mgl
 	RUNTIME DESTINATION bin
+	ARCHIVE DESTINATION lib
 	LIBRARY DESTINATION lib
 )

=== texinfo/CMakeLists.txt ===
if(use_doc)
	add_custom_command(OUTPUT ${CMAKE_SOURCE_DIR}/texinfo/png/all.png
		COMMAND LD_LIBRARY_PATH=${CMAKE_BINARY_DIR}/mgl ${CMAKE_BINARY_DIR}/examples/mgl_example
		COMMAND echo "" > ${CMAKE_SOURCE_DIR}/texinfo/png/all.png
		MAIN_DEPENDENCY ${CMAKE_BINARY_DIR}/examples/mgl_example
		WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/texinfo/png
	)
	set_source_files_properties(${CMAKE_BINARY_DIR}/examples/mgl_example PROPERTIES GENERATED 1)
	ADD_CUSTOM_TARGET(gen_all_png DEPENDS ${CMAKE_SOURCE_DIR}/texinfo/png/all.png)
	ADD_DEPENDENCIES(gen_all_png mgl_example)
	set(list_texi_files_en mathgl_en.texi appendix_en.texi core_en.texi example_en.texi mgl_en.texi samples_en.texi class_en.texi data_en.texi overview_en.texi)
	set(list_texi_files_ru mathgl_ru.texi appendix_ru.texi core_ru.texi example_ru.texi mgl_ru.texi samples_ru.texi class_ru.texi data_ru.texi overview_ru.texi)
	add_custom_command(OUTPUT ${CMAKE_SOURCE_DIR}/texinfo/mathgl_en.info ${CMAKE_SOURCE_DIR}/texinfo/mathgl_ru.info
		COMMAND ${findmi} --no-validate mathgl_en.texi
		COMMAND ${findmi} --no-validate mathgl_ru.texi
		DEPENDS ${CMAKE_SOURCE_DIR}/texinfo/png/all.png
		DEPENDS ${list_texi_files_en}
		DEPENDS ${list_texi_files_ru}
		WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/texinfo
	)
	add_custom_command(OUTPUT ${CMAKE_SOURCE_DIR}/texinfo/mathgl_en.pdf ${CMAKE_SOURCE_DIR}/texinfo/mathgl_ru.pdf
		COMMAND ${findtp} mathgl_en.texi
		COMMAND ${findtp} mathgl_en.texi
		COMMAND ${findtp} mathgl_en.texi
#		COMMAND ${findtp} mathgl_ru.texi
#		COMMAND ${findtp} mathgl_ru.texi
#		COMMAND ${findtp} mathgl_ru.texi
		DEPENDS ${CMAKE_SOURCE_DIR}/texinfo/png/all.png
		DEPENDS ${list_texi_files_en}
		DEPENDS ${list_texi_files_ru}
		WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/texinfo
	)
	add_custom_command(OUTPUT ${CMAKE_SOURCE_DIR}/texinfo/mathgl_en ${CMAKE_SOURCE_DIR}/texinfo/mathgl_ru
		COMMAND ${findth} --split=chapter mathgl_en.texi
		COMMAND ${findth} --split=chapter mathgl_ru.texi
		DEPENDS ${CMAKE_SOURCE_DIR}/texinfo/png/all.png
		DEPENDS ${list_texi_files_en}
		DEPENDS ${list_texi_files_ru}
		WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/texinfo
	)
	add_custom_target(documentation ALL
		DEPENDS ${CMAKE_SOURCE_DIR}/texinfo/mathgl_en.pdf
		DEPENDS ${CMAKE_SOURCE_DIR}/texinfo/mathgl_en.info
		DEPENDS ${CMAKE_SOURCE_DIR}/texinfo/mathgl_en
#		DEPENDS ${CMAKE_SOURCE_DIR}/texinfo/mathgl_ru.pdf
		DEPENDS ${CMAKE_SOURCE_DIR}/texinfo/mathgl_ru.info
		DEPENDS ${CMAKE_SOURCE_DIR}/texinfo/mathgl_ru
	)
	add_custom_target(clean
		COMMAND rm -f mathgl*.[^t]* mathgl*.t[^e]* mathgl*.te[^x]* mathgl*.tex[^i] ${CMAKE_SOURCE_DIR}/texinfo/png/*.png mathgl.info*
		WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/texinfo
	)
	install(DIRECTORY ./ DESTINATION ${MGL_DOC_PATH}
			FILES_MATCHING PATTERN ".svn" EXCLUDE
			PATTERN "CMakeFiles" EXCLUDE
			PATTERN "*.png"
			PATTERN "*.html"
			PATTERN "./mathgl*.info*"
			PATTERN "./mathgl*.pdf")
endif(use_doc)

=== widgets/CMakeLists.txt ===
--- 
+++ 
@@ -10,11 +10,16 @@
 	add_definitions(-DHAVE_FLTK)
 	include_directories(${FLTK_INCLUDE_DIR})
 	add_library(mgl-fltk SHARED mgl_fltk.cpp)
+	add_library(mgl-fltk-static STATIC mgl_fltk.cpp)
+	set_target_properties(mgl-fltk-static PROPERTIES OUTPUT_NAME "mgl-fltk")
+	set_target_properties(mgl-fltk PROPERTIES CLEAN_DIRECT_OUTPUT 1)
+	set_target_properties(mgl-fltk-static PROPERTIES CLEAN_DIRECT_OUTPUT 1)
 	target_link_libraries(mgl-fltk ${FLTK_LIBRARIES} mgl)
 	set_target_properties(mgl-fltk PROPERTIES SOVERSION 5.0.0)
 	install(
 		TARGETS mgl-fltk
 		RUNTIME DESTINATION bin
+		ARCHIVE DESTINATION lib
 		LIBRARY DESTINATION lib
 	)
 endif(use_fltk)
@@ -23,11 +28,16 @@
 	add_definitions(-DHAVE_GLUT)
 	include_directories(${GLUT_INCLUDE_DIR})
 	add_library(mgl-glut SHARED mgl_glut.cpp)
+	add_library(mgl-glut-static STATIC mgl_glut.cpp)
+	set_target_properties(mgl-glut-static PROPERTIES OUTPUT_NAME "mgl-glut")
+	set_target_properties(mgl-glut PROPERTIES CLEAN_DIRECT_OUTPUT 1)
+	set_target_properties(mgl-glut-static PROPERTIES CLEAN_DIRECT_OUTPUT 1)
 	target_link_libraries(mgl-glut ${GLUT_LIBRARIES} ${OPENGL_LIBRARIES} mgl)
 	set_target_properties(mgl-glut PROPERTIES SOVERSION 5.0.0)
 	install(
 		TARGETS mgl-glut
 		RUNTIME DESTINATION bin
+		ARCHIVE DESTINATION lib
 		LIBRARY DESTINATION lib
 	)
 endif(use_glut)
@@ -36,11 +46,16 @@
 	include(${wxWidgets_USE_FILE})
 	add_definitions(-DHAVE_WX)
 	add_library(mgl-wx SHARED mgl_wx.cpp)
+	add_library(mgl-wx-static STATIC mgl_wx.cpp)
+	set_target_properties(mgl-wx-static PROPERTIES OUTPUT_NAME "mgl-wx")
+	set_target_properties(mgl-wx PROPERTIES CLEAN_DIRECT_OUTPUT 1)
+	set_target_properties(mgl-wx-static PROPERTIES CLEAN_DIRECT_OUTPUT 1)
 	target_link_libraries(mgl-wx ${wxWidgets_LIBRARIES} mgl)
 	set_target_properties(mgl-wx PROPERTIES SOVERSION 5.0.0)
 	install(
 		TARGETS mgl-wx
 		RUNTIME DESTINATION bin
+		ARCHIVE DESTINATION lib
 		LIBRARY DESTINATION lib
 	)
 endif(use_wx)
@@ -50,11 +65,16 @@
 	add_definitions(-DHAVE_QT)
 	qt_wrap_cpp(mgl-qt MGL_MOC_FILES ../include/mgl/mgl_qt.h)
 	add_library(mgl-qt SHARED mgl_qt.cpp ${MGL_MOC_FILES})
+	add_library(mgl-qt-static STATIC mgl_qt.cpp ${MGL_MOC_FILES})
+	set_target_properties(mgl-qt-static PROPERTIES OUTPUT_NAME "mgl-qt")
+	set_target_properties(mgl-qt PROPERTIES CLEAN_DIRECT_OUTPUT 1)
+	set_target_properties(mgl-qt-static PROPERTIES CLEAN_DIRECT_OUTPUT 1)
 	target_link_libraries(mgl-qt ${QT_LIBRARIES} mgl)
 	set_target_properties(mgl-qt PROPERTIES SOVERSION 5.0.0)
 	install(
 		TARGETS mgl-qt
 		RUNTIME DESTINATION bin
+		ARCHIVE DESTINATION lib
 		LIBRARY DESTINATION lib
 	)
 endif(use_qt)

=== debian/changelog ===
mathgl (1.10.2.1-2ubuntu3) natty; urgency=low

  * Re-add debian/patches/debian-changes-1.10.2.1-2; apparently it was wrong
    to assume the changes in this patch were all auto-generated and
    irrelevant.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 03 Apr 2011 01:30:13 -0700

mathgl (1.10.2.1-2ubuntu2) natty; urgency=low

  * debian/rules: clean the dependency_libs out of .la files at build
    time, per Policy 10.2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 03 Apr 2011 00:16:04 -0700

mathgl (1.10.2.1-2ubuntu1) natty; urgency=low

  * debian/python-mathgl.install: Update install path for any python version
    to fix a FTBFS issue with python 2.7 in natty (LP: #696452)

 -- Sameer Morar <smorar@gmail.com>  Mon, 03 Jan 2011 00:34:09 +1300

mathgl (1.10.2.1-2) unstable; urgency=low

  * Make .png pictures visible from the html documentation.
  * Add python support (Closes: #541481).

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Sun, 11 Sep 2010 12:37:00 +0200
	

mathgl (1.10.2.1-1) unstable; urgency=low

  [ D Eftaxiopoulos ]
  * Update to Debian Policy 3.9.1
  * Put myself and D. Haley to the maintainers list.
  * Comment out parallel-build-png.patch in the debian/patches/series file
    since it seems to apply to a texinfo/Makefile.am file that is not 
    included in the source tree.
  * Append package quilt to the build-depends list for the source in the 
    debian/control file, in order to fix a lintian error.
  * Reinstate debian/source/format file with content '3.0 (quilt)'.
  * Fix Lintian warnings related to manpages.

  [ D Haley ]
  * New upstream release 1.10.2.1 (Closes: #562743).

  [ Salvatore Bonaccorso ]
  * New Maintainer (Closes: #564422). Set Maintainer to Debian Science
    Maintainers <debian-science-maintainers@lists.alioth.debian.org>.
  * Convert to '3.0 (quilt)' package source format. Drop quilt framework for
    packaging. 
  * debian/control: 
    - Change Vcs-Browser and Vcs-Git to the debian-science git repository.
    - Change Section for source package to 'science' as per debian-science
      group policy.
    - Set DM-Upload-Allowed field to yes.
  * Add myself to Uploaders.

  [ Sylvestre Ledru ]
  * Missing dependency against automake added.

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 15 Aug 2010 21:45:47 +0200

mathgl (1.9-3) unstable; urgency=low

  * QA upload.
  * Properly orphan the package (see #564422), set maintainer to QA.
  * Bump Standards-Version to 3.8.4, no changes needed.
  * Add debian/README.source, pointing to quilt doc.
  * Bump build-deps on octave from 3.0 to 3.2 (Closes: #574025).

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 26 Mar 2010 14:06:08 +0100

mathgl (1.9-2) unstable; urgency=low

  * Fix FTBFS. Closes: #545882.
  * Update Standards-Version to 3.8.3.

 -- Bradley Smith <bradsmith@debian.org>  Wed, 09 Sep 2009 22:44:44 +0100

mathgl (1.9-1) unstable; urgency=low

  * New upstream release. Closes: #535503.
  * QT -> qt in package descriptions. Closes: #534425.

 -- Bradley Smith <bradsmith@debian.org>  Sun, 19 Jul 2009 16:41:41 +0100

mathgl (1.8.1-6) unstable; urgency=low

  * Redo descriptions.

 -- Bradley Smith <bradsmith@debian.org>  Tue, 09 Jun 2009 20:26:42 +0100

mathgl (1.8.1-5) unstable; urgency=low

  * Correct info-dir-section in texinfo/mathgl.texi. Closes: #528893.

 -- Bradley Smith <bradsmith@debian.org>  Wed, 27 May 2009 17:52:50 +0100

mathgl (1.8.1-4) unstable; urgency=low

  * Correct libltdl-dev Build-Depend. Closes: #526426.
  * Further improve descriptions.

 -- Bradley Smith <bradsmith@debian.org>  Fri, 01 May 2009 12:59:05 +0100

mathgl (1.8.1-3) unstable; urgency=low

  * Tidy up descriptions. Closes: #521830, #521917.
  * Update Standards-Version to 3.8.1. (No changes).
  * Fix watch file.

 -- Bradley Smith <bradsmith@debian.org>  Sat, 18 Apr 2009 17:42:59 +0100

mathgl (1.8.1-2) unstable; urgency=low

  * Fix parallel builds. Closes: #519738.

 -- Bradley Smith <bradsmith@debian.org>  Thu, 19 Mar 2009 19:08:37 +0000

mathgl (1.8.1-1) unstable; urgency=low

  * New upstream release. Closes: #518769.

 -- Bradley Smith <bradsmith@debian.org>  Sun, 08 Mar 2009 13:29:33 +0000

mathgl (1.8-1) unstable; urgency=low

  * Initial release. Closes: #510378.

 -- Bradley Smith <bradsmith@debian.org>  Thu, 01 Jan 2009 11:27:32 +0000

=== debian/control ===
Source: mathgl
Section: science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>, D Haley <mycae@yahoo.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7), libltdl-dev, libgsl0-dev, freeglut3-dev, libgl1-mesa-dev | libgl-dev, libpng-dev, libhdf5-serial-dev | libhdf5-dev, libjpeg-dev, libtiff-dev, libfltk-dev, libqt4-dev, libwxgtk2.8-dev, swig, texinfo, texi2html, texlive, texlive-generic-recommended, 
 octave3.2-headers, libgif-dev, autoconf, automake, quilt, python, python-dev,
 python-numpy
Standards-Version: 3.9.1
Homepage: http://mathgl.sourceforge.net/index.html
Vcs-Git: git://git.debian.org/debian-science/packages/mathgl.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/mathgl.git

Package: mathgl
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}, libmgl5 (= ${binary:Version})
Description: library for scientific graphs. (utlities and examples)
 A free cross-platform library of fast C++ routines for plotting data in up
 to 3 dimensions. It can export plots to bitmaps and vector EPS, SVG, IDTF
 files. There are simple window interfaces based on GLUT, FLTK and/or Qt.
 MathGL can also be used in the console. There are interfaces to a set of
 languages, such as, C, Fortran, Pascal, Forth, Python, Octave.
 .
 This package contains MathGL utilities and examples.

Package: mathgl-doc
Architecture: all
Section: doc
Depends: dpkg (>= 1.15.4) | install-info, ${misc:Depends}
Description: library for scientific graphs. (documentation)
 A free cross-platform library of fast C++ routines for plotting data in up
 to 3 dimensions. It can export plots to bitmaps and vector EPS, SVG, IDTF
 files. There are simple window interfaces based on GLUT, FLTK and/or Qt.
 MathGL can also be used in the console. There are interfaces to a set of
 languages, such as, C, Fortran, Pascal, Forth, Python, Octave.
 .
 This package contains the MathGL documentation.

Package: libmgl5
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}, libmgl-data
Description: library for scientific graphs. (main runtime library)
 A free cross-platform library of fast C++ routines for plotting data in up
 to 3 dimensions. It can export plots to bitmaps and vector EPS, SVG, IDTF
 files. There are simple window interfaces based on GLUT, FLTK and/or Qt.
 MathGL can also be used in the console. There are interfaces to a set of
 languages, such as, C, Fortran, Pascal, Forth, Python, Octave.

Package: libmgl-data
Architecture: all
Section: misc
Depends: ${misc:Depends}
Description: library for scientific graphs. (data files)
 A free cross-platform library of fast C++ routines for plotting data in up
 to 3 dimensions. It can export plots to bitmaps and vector EPS, SVG, IDTF
 files. There are simple window interfaces based on GLUT, FLTK and/or Qt.
 MathGL can also be used in the console. There are interfaces to a set of
 languages, such as, C, Fortran, Pascal, Forth, Python, Octave.
 .
 This package contains the MathGL data files.

Package: libmgl-dev
Architecture: any
Section: libdevel
Depends: libmgl5 (= ${binary:Version}), ${misc:Depends}, libgsl0-dev, libgl1-mesa-dev | libgl-dev, libpng-dev
Description: library for scientific graphs. (development files)
 A free cross-platform library of fast C++ routines for plotting data in up
 to 3 dimensions. It can export plots to bitmaps and vector EPS, SVG, IDTF
 files. There are simple window interfaces based on GLUT, FLTK and/or Qt.
 MathGL can also be used in the console. There are interfaces to a set of
 languages, such as, C, Fortran, Pascal, Forth, Python, Octave.
 .
 This package contains the development files.

Package: libmgl-fltk5
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}, libmgl5 (= ${binary:Version})
Description: library for scientific graphs. (FLTK runtime library)
 A free cross-platform library of fast C++ routines for plotting data in up
 to 3 dimensions. It can export plots to bitmaps and vector EPS, SVG, IDTF
 files. There are simple window interfaces based on GLUT, FLTK and/or Qt.
 MathGL can also be used in the console. There are interfaces to a set of
 languages, such as, C, Fortran, Pascal, Forth, Python, Octave.
 .
 This package contains the FLTK frontend.

Package: libmgl-qt5
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}, libmgl5 (= ${binary:Version})
Description: library for scientific graphs. (Qt runtime library)
 A free cross-platform library of fast C++ routines for plotting data in up
 to 3 dimensions. It can export plots to bitmaps and vector EPS, SVG, IDTF
 files. There are simple window interfaces based on GLUT, FLTK and/or Qt.
 MathGL can also be used in the console. There are interfaces to a set of
 languages, such as, C, Fortran, Pascal, Forth, Python, Octave.
 .
 This package contains the Qt4 frontend.

Package: libmgl-wx5
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}, libmgl5 (= ${binary:Version})
Description: library for scientific graphs. (wxWidgets runtime library)
 A free cross-platform library of fast C++ routines for plotting data in up
 to 3 dimensions. It can export plots to bitmaps and vector EPS, SVG, IDTF
 files. There are simple window interfaces based on GLUT, FLTK and/or Qt.
 MathGL can also be used in the console. There are interfaces to a set of
 languages, such as, C, Fortran, Pascal, Forth, Python, Octave.
 .
 This package contains the wxWidgets frontend.

Package: libmgl-glut5
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}, libmgl5 (= ${binary:Version})
Description: library for scientific graphs. (GLUT runtime library)
 A free cross-platform library of fast C++ routines for plotting data in up
 to 3 dimensions. It can export plots to bitmaps and vector EPS, SVG, IDTF
 files. There are simple window interfaces based on GLUT, FLTK and/or Qt.
 MathGL can also be used in the console. There are interfaces to a set of
 languages, such as, C, Fortran, Pascal, Forth, Python, Octave.
 .
 This package containst the GLUT frontend.

Package: python-mathgl
Architecture: any
Section: python
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for scientific graphs. (Python module)
 A free cross-platform library of fast C++ routines for plotting data in up
 to 3 dimensions. It can export plots to bitmaps and vector EPS, SVG, IDTF
 files. There are simple window interfaces based on GLUT, FLTK and/or Qt.
 MathGL can also be used in the console. There are interfaces to a set of
 languages, such as, C, Fortran, Pascal, Forth, Python, Octave.
 .
 This package provides the Python module for mathgl.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/quilt/quilt.make

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS=$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS+=-j$(NUMJOBS)
endif

configure: configure-stamp
configure-stamp: $(QUILT_STAMPFN)
	dh_testdir
	autoreconf
	CFLAGS="$(CFLAGS)" \
		./configure --prefix=/usr --mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info --host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) --enable-all --enable-octave --enable-python
	touch $@

build: build-stamp
build-stamp: configure
	dh_testdir
	$(MAKE) 
	touch $@

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	rm -rf build autom4te.cache texinfo/png/*.png
	rm -f texinfo/mathgl.info-4
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	cp texinfo/*.pdf $(CURDIR)/debian/tmp/usr/share/doc/mathgl/
	rm -f debian/tmp/usr/bin/*_example
	rm -f debian/tmp/usr/share/info/dir
	find debian -name *.pyc* -type f -delete
	find debian -name *.pyo* -type f -delete
	for file in debian/tmp/usr/lib/*.la; do \
		sed -i "/dependency_libs/ s/'.*'/''/" $$file ; \
	done

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog.txt
	dh_installdocs
	dh_install --fail-missing
	rm -f debian/mathgl-doc/usr/share/doc/mathgl-doc/png/all.png
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_installman
	gzip -9 debian/mathgl/usr/share/man/man1/*.1
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
